## elfutils 0.181

=== debian/changelog ===
elfutils (0.181-1ubuntu0.1) groovy; urgency=medium

  * debian/patches/elfutils-lp1908756-groovy.patch:
    IBM Z: Fix endianess problem in pid_memory_read
    backport from elfutils 0.182+
    - libdwfl/linux-pid-attach.c: shift the upper 4 bytes + down on big
      endian 64 bit targets
    - libdwfl/ChangeLog: updated the projects ChangeLog, too
    Thanks to Andreas Krebbel <krebbel@linux.ibm.com> (LP: #1908756)

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 08 Jan 2021 09:49:33 +0100

elfutils (0.181-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Sep 2020 22:31:59 +0200

elfutils (0.180-1) unstable; urgency=medium

  * Transfer to team maintenance, add Kurt Roeckx and myself as uploaders.
  * Add VCS attributes to the control file.
  * New upstream release.
  * Build-depend on pkg-config, libarchive-dev, libmicrohttpd-dev,
    libcurl4-gnutls-dev, libsqlite3-dev.
  * Build with -fpermissive.
  * Don't package debuginfod yet.
  * New binary packages debuginfod, libdebuginfod1, libdebuginfod-dev.
  * Use dh_autoreconf.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 19:34:22 +0200

elfutils (0.176-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission
  * Fixes FTBFS on riscv64 (Closes: #928832)

 -- Karsten Merker <merker@debian.org>  Tue, 28 May 2019 20:53:12 +0200
