=== debian/control ===
--- 
+++ 
@@ -1,17 +1,33 @@
 Source: elfutils
 Priority: optional
-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Build-Depends: debhelper (>= 9), autotools-dev, autoconf, automake, bzip2, zlib1g-dev, zlib1g-dev:native, libbz2-dev, liblzma-dev, m4, gettext, autoconf, automake, gawk, dpkg-dev (>= 1.16.1~), gcc-multilib [any-amd64 sparc64] <!nocheck>, libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64], flex, bison
-Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.1.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Uploaders: Kurt Roeckx <kurt@roeckx.be>,
+  Matthias Klose <doko@debian.org>
+Build-Depends: debhelper (>= 11),
+  autoconf, automake,
+  bzip2, zlib1g-dev, zlib1g-dev:native, libbz2-dev, liblzma-dev,
+  m4, gettext,
+  gawk, dpkg-dev (>= 1.16.1~),
+  gcc-multilib [any-amd64 sparc64] <!nocheck>,
+  libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64 riscv64],
+  flex, bison,
+  pkg-config,
+  libarchive-dev,
+  libmicrohttpd-dev, libcurl4-gnutls-dev, libsqlite3-dev,
+Build-Conflicts: autoconf2.13
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://sourceware.org/elfutils/
+Vcs-Browser: https://salsa.debian.org/toolchain-team/elfutils
+Vcs-Git: https://salsa.debian.org/toolchain-team/elfutils.git
 
 Package: elfutils
 Section: utils
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version})
 Description: collection of utilities to handle ELF objects
  Elfutils is a collection of utilities, including eu-ld (a linker),
  eu-nm (for listing symbols from object files), eu-size (for listing the
@@ -48,7 +64,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libelf-dev, libdw1 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev, liblzma-dev
+Depends: libelf-dev, libdw1 (= ${binary:Version}), ${misc:Depends},
+  zlib1g-dev, liblzma-dev
 Description: libdw1 development libraries and header files
  libdw1 provides a library that provides access to DWARF debug information
  stored inside ELF files.
@@ -72,7 +89,8 @@
 Package: libasm1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: library with a programmable assembler interface
  The libasm1 package provides a library with a programmable assembler
@@ -91,3 +109,34 @@
  .
  This package contains development libraries and header files for libasm1.
 
+Package: libdebuginfod1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Description: library to interact with debuginfod (development files)
+ The libdebuginfo1 package provides a library with an interface to interact
+ with debuginfod.
+ .
+ This library is part of elfutils.
+
+Package: libdebuginfod-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libdebuginfod1 (= ${binary:Version}), ${misc:Depends}, libelf-dev,
+Description: libdebuginfod development libraries and header files
+ libasm1 allows you to interact with debuginfod.
+ .
+ This package contains development libraries and header files for
+ libdebuginfod1.
+
+Package: debuginfod
+Section: devel
+Architecture: any
+Depends: libdebuginfod1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: debuginfo-related http file-server daemon
+ Server, client tool and library to index and fetch ELF/DWARF files
+ addressed by build-id through HTTP.
+
