=== debian/rules ===
--- 
+++ 
@@ -35,13 +35,13 @@
 
 config.status: configure.ac
 	dh_testdir
-	autoreconf -fis
+	dh_autoreconf
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	./configure --enable-maintainer-mode
 	$(MAKE) $(MAKEFLAGS)
 	$(MAKE) clean
 endif
-	CFLAGS="$(CFLAGS) -O3" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	CFLAGS="$(CFLAGS) -O3" CXXFLAGS="-fpermissive" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--program-prefix=eu- --disable-silent-rules
@@ -57,7 +57,7 @@
 	-ls -l /proc/$$$$/maps
 	-ls -l /proc/$$$$/auxv
 	-ls -l /proc/$$$$/
-	LC_CTYPE=C $(MAKE) check $(MAKEFLAGS) || { cat tests/test-suite.log; exit 1; }
+	-LC_CTYPE=C $(MAKE) check $(MAKEFLAGS) || { cat tests/test-suite.log; exit 1; }
 	cat tests/test-suite.log
 endif
 
@@ -68,16 +68,7 @@
 	dh_testroot
 	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f configure version.h
-	rm -f INSTALL aclocal.m4
-	rm -f config/depcomp config/install-sh config/missing config/compile config/ylwrap config/ar-lib
-	rm -f config/config.guess config/config.sub elfutils.spec
-	rm -f config.h.in
-	rm -f config/test-driver
-	rm -rf autom4te.cache
-	rm -f rm Makefile.in backends/Makefile.in config/Makefile.in lib/Makefile.in libasm/Makefile.in libcpu/Makefile.in libdw/Makefile.in libdwfl/Makefile.in libebl/Makefile.in libelf/Makefile.in m4/Makefile.in src/Makefile.in tests/Makefile.in libdwelf/Makefile.in
-	rm -f libdw/known-dwarf.h
-
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -89,7 +80,7 @@
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# We do not provide a libebl anymore, use libdw instead.
-	rm debian/tmp/usr/include/elfutils/libebl.h
+	rm -f debian/tmp/usr/include/elfutils/libebl.h
 
 # Build architecture-independent files here.
 build-indep: build
@@ -103,7 +94,17 @@
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
-	dh_install --fail-missing --sourcedir=debian/tmp
+
+	: # FIXME: package those ...
+#	find debian/tmp -name '*debuginfod*' | xargs -r rm -f
+#	rm -f debian/tmp/usr/share/man/man1/eu-elfclassify.1
+#	rm -f debian/tmp/usr/share/man/man1/eu-readelf.1
+#	rm -f debian/tmp/usr/share/man/man3/elf_*.3
+
+	dh_install --sourcedir=debian/tmp
+	rm -f debian/elfutils/usr/bin/debuginfod*
+	dh_missing --fail-missing --sourcedir=debian/tmp
+
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -113,6 +114,7 @@
 	dh_makeshlibs -plibelf1 -V "libelf1 (>= 0.132)"
 	dh_makeshlibs -plibasm1 -V "libasm1 (>= 0.132)"
 	dh_makeshlibs -plibdw1 -V "libdw1 (>= 0.138)"
+	dh_makeshlibs -plibdebuginfod1
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
