=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: elfutils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian Elfutils Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Kurt Roeckx <kurt@roeckx.be>,
   Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -13,10 +12,10 @@
   libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64 riscv64],
   flex, bison,
   pkg-config,
-  libarchive-dev,
-  libmicrohttpd-dev, libcurl4-gnutls-dev, libsqlite3-dev,
+  libarchive-dev <!pkg.elfutils.nodebuginfod>,
+  libmicrohttpd-dev <!pkg.elfutils.nodebuginfod>, libcurl4-gnutls-dev <!pkg.elfutils.nodebuginfod>, libsqlite3-dev <!pkg.elfutils.nodebuginfod>,
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://sourceware.org/elfutils/
 Vcs-Browser: https://salsa.debian.org/toolchain-team/elfutils
@@ -110,6 +109,7 @@
  This package contains development libraries and header files for libasm1.
 
 Package: libdebuginfod1
+Build-Profiles: <!pkg.elfutils.nodebuginfod>
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -122,6 +122,7 @@
  This library is part of elfutils.
 
 Package: libdebuginfod-dev
+Build-Profiles: <!pkg.elfutils.nodebuginfod>
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -133,6 +134,7 @@
  libdebuginfod1.
 
 Package: debuginfod
+Build-Profiles: <!pkg.elfutils.nodebuginfod>
 Section: devel
 Architecture: any
 Depends: libdebuginfod1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
