=== debian/rules ===
--- 
+++ 
@@ -27,46 +27,61 @@
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    MAKEFLAGS += -j$(NUMJOBS)
+    USE_JOBS = -j$(NUMJOBS)
 endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-config.status: configure.ac
+# https://sourceware.org/pipermail/elfutils-devel/2020q2/002733.html
+ifneq (,$(findstring -flto, $(CFLAGS)))
+  CFLAGS += -flto-partition=none -Wno-error=stack-usage=
+  CXXFLAGS += -flto-partition=none
+  LDFLAGS += -Wno-error=stack-usage=
+endif
+CFLAGS := $(patsubst -O%,-O3, $(CFLAGS))
+CXXFLAGS := $(patsubst -O%,-O3, $(CXXFLAGS))
+
+stamps/configure:
 	dh_testdir
 	dh_autoreconf
+	@mkdir -p stamps
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	./configure --enable-maintainer-mode
-	$(MAKE) $(MAKEFLAGS)
+	./configure --enable-maintainer-mode \
+		--enable-libdebuginfod=dummy \
+		--disable-debuginfod
+	$(MAKE) $(USE_JOBS)
 	$(MAKE) clean
 endif
-	CFLAGS="$(CFLAGS) -O3" CXXFLAGS="-fpermissive" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		./configure $(confflags) --prefix=/usr \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--program-prefix=eu- --disable-silent-rules
+		--program-prefix=eu- --disable-silent-rules \
+		--$(if $(filter pkg.elfutils.nodebuginfod,$(DEB_BUILD_PROFILES)),dis,en)able-libdebuginfod \
+		--$(if $(filter pkg.elfutils.nodebuginfod,$(DEB_BUILD_PROFILES)),dis,en)able-debuginfod
+	touch $@
 
-build: build-stamp
-build-stamp:  config.status
+build: stamps/build
+stamps/build: stamps/configure
 	dh_testdir
 
-	$(MAKE) $(MAKEFLAGS)
+	$(MAKE) $(USE_JOBS)
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Check that those files exist.
 	-ls -l /proc/$$$$/maps
 	-ls -l /proc/$$$$/auxv
 	-ls -l /proc/$$$$/
-	-LC_CTYPE=C $(MAKE) check $(MAKEFLAGS) || { cat tests/test-suite.log; exit 1; }
+	-LC_CTYPE=C $(MAKE) check $(USE_JOBS) || { cat tests/test-suite.log; exit 1; }
 	cat tests/test-suite.log
 endif
 
-	touch build-stamp
+	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -rf stamps
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_autoreconf_clean
 	dh_clean
@@ -101,11 +116,16 @@
 #	rm -f debian/tmp/usr/share/man/man1/eu-readelf.1
 #	rm -f debian/tmp/usr/share/man/man3/elf_*.3
 
+	: # these are empty envvar settings ...
+	rm -rf debian/tmp/usr/etc/profile.d
+
 	dh_install --sourcedir=debian/tmp
 	rm -f debian/elfutils/usr/bin/debuginfod*
 	dh_missing --fail-missing --sourcedir=debian/tmp
 
+	dh_dwz
 	dh_strip
+	dh_strip_nondeterminism
 	dh_compress
 	dh_fixperms
 	dpkg-gensymbols -Pdebian/libdw1/ -plibdw1 -c4
