## elfutils 0.185

=== debian/changelog ===
elfutils (0.185-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:10 +0200

elfutils (0.185-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 25 May 2021 20:31:36 +0200

elfutils (0.184-1) experimental; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 May 2021 12:10:27 +0200

elfutils (0.183-8) experimental; urgency=medium

  * libdebuginfod1: Relax dependency on libdebuginfod-common. Closes: #986375.
  * libdebuginfod-common: Update package description. Closes: #987036.
  * Always install the shell snippets into /etc/profile.d/.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Apr 2021 09:58:41 +0200

elfutils (0.183-7) experimental; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Populate binary-indep with proper build instructions.
  * d/control: Remove ${shlibs:Depends} from libdebuginfod-common.

  [ Matthias Klose ]
  * d/rules: Move dh_install to the install target.
  * d/rules: Add -a/-i options to the dh_ commands.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Apr 2021 17:49:43 +0200

elfutils (0.183-6) experimental; urgency=medium

  * d/libdebuginfod-common.install: Remove file.
  * d/rules:
    Implement logic to decide whether to install the debuginfod shell
    snippets under /etc/profile.d/ based on the existence of a debuginfod
    service available for the current distribution.  This is needed mostly
    for Ubuntu and other derivatives which don't have debuginfod services
    available yet.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 26 Mar 2021 01:14:28 -0400

elfutils (0.183-5) experimental; urgency=medium

  * d/libdebuginfod-common.install:
    Install the debuginfod profile.d snippets under
    /usr/share/libdebuginfod-common/ instead of directly under
    /etc/profile.d/.
  * d/libdebuginfod-common.config:
    Check for the "debuginfod.sh" snippet under
    /usr/share/libdebuginfod-common/.
  * d/libdebuginfod-common.postinst:
    Perform modifications in the debuginfod shell snippets that now live
    under /usr/share/libdebuginfod-common/, before moving them (using ucf)
    to /etc/profile.d/. (Closes: #985044)
  * d/libdebuginfod-common.postrm:
    New postrm file which takes care of purging the debuginfod shell
    snippets under /etc/profile.d/.
  * d/control: Make libdebuginfod-common depend on ucf.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 19 Mar 2021 15:58:25 -0400

elfutils (0.183-4) experimental; urgency=medium

  * Apply KFreeBSD patches (Christoph Berg), not forwarded.
  * Fix build on the Hurd.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 20:10:42 +0100

elfutils (0.183-2) unstable; urgency=medium

  * d/control:
    - B-D on lsb-release.
    - B-D on po-debconf.
    - Create new libdebuginfod-common package.
    - Add myself to Uploaders.
  * d/rules:
    - Use https://debuginfod.debian.net as our default service.
      Also, revamp the code responsible for determining libdebuginfod
      configuration flags.
    - Invoke dh_installdebconf.
  * d/libdebuginfod-common.templates: Create a debconf template.
    Also, create d/po/POTFILES.in and d/po/templates.pot.
    This template is for the question of whether the user accepts GDB or
    another debuginfo consumer program to connect to Debian's debuginfod
    server.
  * d/libdebuginfod-common.config: Ask if the user accepts to use Debian's
    debuginfod.
  * d/libdebuginfod-common.postinst: Act upon the user's answer to the
    debconf question.
    If the user has accepted to use Debian's debuginfod, then the script
    confirms the value of the DEBUGINFOD_URLS environment variable present
    in the shell excerpts under /etc/profile.d.  Otherwise, the script
    will set the variable to an empty value, disabling the remote
    connection to the debuginfod server. (Closes: #983434)
  * d/libdebuginfod-common.install: Install the profile.d snippets.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 28 Feb 2021 21:07:16 -0500
