## elfutils 0.186

=== debian/changelog ===
elfutils (0.186-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1372.patch: Skip trying to uncompress
      sections without a name.
    - CVE-2025-1372
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1377.patch: Verify symbol table is a real
      symbol table.
    - CVE-2025-1377

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 17 Mar 2025 17:11:50 +0100

elfutils (0.186-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:51:35 +0100

elfutils (0.186-1) unstable; urgency=medium

  * New upstream release.
  * Don't yet install elfutils.urls.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 21:49:08 +0100

elfutils (0.185-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2021 18:27:02 +0200
