=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: elfutils
 Priority: optional
-Maintainer: Debian Elfutils Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Elfutils Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Kurt Roeckx <kurt@roeckx.be>,
-  Matthias Klose <doko@debian.org>
+  Matthias Klose <doko@debian.org>,
+  Sergio Durigan Junior <sergiodj@debian.org>,
 Build-Depends: debhelper (>= 11),
-  autoconf, automake,
+  autoconf, automake, lsb-release,
   bzip2, zlib1g-dev, zlib1g-dev:native, libbz2-dev, liblzma-dev,
-  m4, gettext,
+  m4, gettext, po-debconf,
   gawk, dpkg-dev (>= 1.16.1~),
   gcc-multilib [any-amd64 sparc64] <!nocheck>,
   libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64 riscv64],
@@ -113,7 +115,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version})
+  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}),
+  libdebuginfod-common (>= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: library to interact with debuginfod (development files)
  The libdebuginfo1 package provides a library with an interface to interact
@@ -142,3 +145,24 @@
  Server, client tool and library to index and fetch ELF/DWARF files
  addressed by build-id through HTTP.
 
+Package: libdebuginfod-common
+Build-Profiles: <!pkg.elfutils.nodebuginfod>
+Section: devel
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ucf
+Pre-Depends: ${misc:Pre-Depends}, debconf
+Description: configuration to enable the Debian debug info server
+ This package asks if it should enable use of the Debian debug info
+ server with debugging tools that use libdebuginfo such as GDB.
+ .
+ When this is allowed by the sysadmin, a snippet will be added to the
+ shell configuration. You will need to restart your shell after
+ installing this package before the snippet will work.
+ .
+ The Debian debug info server will be contacted every time debugging
+ tools attempt to look up debug info for binaries or libraries but the
+ server does not log requests for debug info.
+ .
+ The Debian debug info server uses https to securely transfer debugging
+ files but does not offer OpenPGP signing of debug info.
