## elfutils 0.187

=== debian/changelog ===
elfutils (0.187-4) unstable; urgency=medium

  * Fix Ubuntu upgrade path for libdebuginfod-common. (LP: #1990638)
    - d/libdebuginfod-common.postinst: Split Ubuntu-specific code into a
      separate function.  Clean up ucf/ucfr configuration files when
      upgrading from libdebuginfod-common versions before 0.187-3.  Create
      links for the debuginfod shell snippets directly.
    - d/libdebuginfod-common.postrm: Handle Debian and Ubuntu purge
      differently.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 24 Sep 2022 16:34:05 -0400

elfutils (0.187-3) unstable; urgency=medium

  * Always install debuginfod shell snippets in Ubuntu.
    - d/libdebuginfod-common.config: Remove snippet to db_input the Ubuntu
      question.
    - d/libdebuginfod-common.postinst: Always install debuginfod shell
      snippets in Ubuntu.
    - d/libdebuginfod-common.templates: Remove
      libdebuginfod/useubuntudebuginfod question.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 21 Sep 2022 19:08:05 -0400

elfutils (0.187-2) unstable; urgency=medium

  * Pass --sysconfdir to configure and install elfutils.urls.
    - d/rules: Pass --sysconfdir to configure; don't delete elfutils.urls.
    - d/libdebuginfod-common.install: Adjust paths and install
      elfutils.urls.
  * d/rules: Cleanup debuginfod code and support Ubuntu's debuginfod.
  * d/libdebuginfod-common.templates: New question for Ubuntu's debuginfod.
  * d/libdebuginfod-common.config: Ask about Ubuntu's debuginfod.
  * d/libdebuginfod-common.post{inst,rm}: Cleanup code, fix problems
    and support Ubuntu.
    Thanks to наб <nabijaczleweli@nabijaczleweli.xyz> (Closes: #987787)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 02 Sep 2022 17:11:29 -0400

elfutils (0.187-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 May 2022 01:08:42 +0200
