=== debian/rules ===
--- 
+++ 
@@ -43,28 +43,22 @@
 CFLAGS := $(patsubst -O%,-O3, $(CFLAGS))
 CXXFLAGS := $(patsubst -O%,-O3, $(CXXFLAGS))
 
-# Whether we have a debuginfod service available in the distro.
-DEBUGINFOD_SERVICE_AVAILABLE = FALSE
-
 # debuginfod configuration flags.
 ifneq (,$(filter pkg.elfutils.nodebuginfod,$(DEB_BUILD_PROFILES)))
   conf_debuginfod = \
 	--disable-libdebuginfod \
 	--disable-debuginfod
 else
-  # A space-separated list of distributions that have a debuginfod
-  # service available.
-  DEBUGINFOD_SUPPORTED_DISTROS = Debian
-
   conf_debuginfod = \
 	--enable-libdebuginfod \
 	--enable-debuginfod
 
-  ifneq (,$(filter $(DISTRO),$(DEBUGINFOD_SUPPORTED_DISTROS)))
-    DEBUGINFOD_SERVICE_AVAILABLE = TRUE
-
+  ifeq ($(DISTRO),Debian)
     conf_debuginfod += \
 	--enable-debuginfod-urls="https://debuginfod.debian.net"
+  else ifeq ($(DISTRO),Ubuntu)
+    conf_debuginfod += \
+	--enable-debuginfod-urls="https://debuginfod.ubuntu.com"
   endif
 endif
 
@@ -82,6 +76,7 @@
 endif
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		./configure $(confflags) --prefix=/usr \
+		--sysconfdir=/etc \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--program-prefix=eu- --disable-silent-rules \
 		$(conf_debuginfod)
