## elfutils 0.188

=== debian/changelog ===
elfutils (0.188-2.1deepin1) unstable; urgency=medium

  * Add deepin debuginfod url

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 26 Feb 2023 04:21:53 +0800

elfutils (0.188-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debconf template translation
    - Dutch translation.
      Thanks to Frans Spiesschaert (Closes: #994141)
    - French translation.
      Thanks Jean-Pierre Giraud (Closes: #994667)
    - German translation.
      Thanks Helge Kreutzmann (Closes: #997891)
    - Portuguese translation.
      Thanks Américo Monteiro (Closes: #1001920)
    - Spanish translation.
      Thanks Camaleón (Closes: #1003517)
    - Brazilian Portuguese translation.
      Thanks Paulo Henrique de Lima Santana (Closes: #1025512)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 14 Jan 2023 14:54:50 +0100

elfutils (0.188-2) unstable; urgency=medium

  [ Bastian Germann ]
  * d/copyright: Convert to machine-readable format, adding missing
    licenses.  (Closes: #1019937)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 21 Dec 2022 15:13:47 -0500

elfutils (0.188-1) unstable; urgency=medium

  * New upstream release.
  * d/p/{hurd-hacks.diff,kfreebsd-debuginfod,kfreebsd-mremap-stub}:
    Refresh patches against new upstream version.
  * d/{libdebuginfod1,libdw1}.symbols: Add new symbols.
  * d/rules: Remove debuginfod.service.8 during installation.
    Currently, we don't install debuginfod.service.
  * Rename upstream's signing key file.
    - d/u/signing-key.asc: Rename from d/upstream-signing-key.pgp.
    - d/s/included-binaries: Remove.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 13 Nov 2022 20:52:25 -0500
