=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,9 @@
   else ifeq ($(DISTRO),Ubuntu)
     conf_debuginfod += \
 	--enable-debuginfod-urls="https://debuginfod.ubuntu.com"
+  else ifeq ($(DISTRO),Deepin) 
+    conf_debuginfod += \
+	--enable-debuginfod-urls="https://debuginfod.deepin.com"
   endif
 endif
 
@@ -117,6 +120,8 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# We do not provide a libebl anymore, use libdw instead.
 	rm -f debian/tmp/usr/include/elfutils/libebl.h
+	# We don't install the systemd service file.
+	rm -f debian/tmp/usr/share/man/man8/debuginfod.service.8
 
 	dh_install --sourcedir=debian/tmp
 	rm -f debian/elfutils/usr/bin/debuginfod*
