## elfutils 0.189

=== debian/changelog ===
elfutils (0.189-4) unstable; urgency=medium

  * Remove bashism in maintainer script. Closes: #999414.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Jul 2023 11:37:16 +0200

elfutils (0.189-3) unstable; urgency=medium

  * libelf-dev: Depend on libzstd-dev. Closes: #1040071.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Jul 2023 09:41:46 +0200

elfutils (0.189-2) unstable; urgency=medium

  * Use sh instead of bash in maintainer script. Closes: #999414.
  * Add Romanian debconf templates translation (Remus-Gabriel Chelu).
    Closes: #1031867.
  * Fix syntax in debian/copyright (Bastian Germann). Closes: #1032126.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2023 13:35:22 +0200

elfutils (0.189-1) experimental; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Build-depend on libzstd-dev and zstd.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Apr 2023 12:51:29 +0200
